Package org.apache.commons.math3.random

# Interface NormalizedRandomGenerator

All Known Implementing Classes:
  `GaussianRandomGenerator`, `StableRandomGenerator`, `UniformRandomGenerator`

public interface NormalizedRandomGenerator
This interface represent a normalized random generator for scalars. Normalized generator provide null mean and unit standard deviation scalars.

Since:
  1.2

## Method Summary

Modifier and Type
Method
Description
`double`
`nextNormalizedDouble()`
Generate a random scalar with null mean and unit standard deviation.

## Method Details

### nextNormalizedDouble

double nextNormalizedDouble()
Generate a random scalar with null mean and unit standard deviation.

This method does not specify the shape of the distribution, it is the implementing class that provides it. The only contract here is to generate numbers with null mean and unit standard deviation.

Returns:
  a random scalar with null mean and unit standard deviation